window.Gleam.initSearch([{"doc":"midas_node","title":"midas_node","content":"# midas_node\n\nRun [midas](https://github.com/midas-framework/midas) tasks on nodejs.\n\n[![Package Version](https://img.shields.io/hexpm/v/midas_node)](https://hex.pm/packages/midas_node)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/midas_node/)\n\n\n\n```sh\nnpm install --save @zip.js/zip.js rollup @rollup/plugin-node-resolve\ngleam add midas_node\n```\n\n```gleam\nimport midas/node\n\npub fn main() {\n  let task = // a midas task\n  node.run(task, &quot;/root&quot;)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/midas_node&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"midas/js/run","title":"Run","content":"pub type Run(a) =\n  Promise(Result(a, String))\n\n\nSynonyms:\nmidas/js/run.Run\nmidas/js/run Run","url":"midas/js/run.html#Run"},{"doc":"midas/js/run","title":"await","content":"pub fn await(\n  p: Promise(Result(a, b)),\n  then: fn(a) -&gt; Promise(Result(c, b)),\n) -&gt; Promise(Result(c, b))\n\nSynonyms:\nmidas/js/run.await\nmidas/js/run await","url":"midas/js/run.html#await"},{"doc":"midas/js/run","title":"done","content":"pub fn done(value: a) -&gt; Promise(Result(a, b))\n\nSynonyms:\nmidas/js/run.done\nmidas/js/run done","url":"midas/js/run.html#done"},{"doc":"midas/js/run","title":"fail","content":"pub fn fail(reason: a) -&gt; Promise(Result(b, a))\n\nSynonyms:\nmidas/js/run.fail\nmidas/js/run fail","url":"midas/js/run.html#fail"},{"doc":"midas/js/run","title":"map_error","content":"pub fn map_error(\n  p: Promise(Result(a, b)),\n  f: fn(b) -&gt; c,\n) -&gt; Promise(Result(a, c))\n\nSynonyms:\nmidas/js/run.map_error\nmidas/js/run map_error","url":"midas/js/run.html#map_error"},{"doc":"midas/js/run","title":"try","content":"pub fn try(\n  result: Result(a, b),\n  then: fn(a) -&gt; Promise(Result(c, b)),\n) -&gt; Promise(Result(c, b))\n\nSynonyms:\nmidas/js/run.try\nmidas/js/run try","url":"midas/js/run.html#try"},{"doc":"midas/js/run","title":"midas/js/run","content":"","url":"midas/js/run.html"},{"doc":"midas/node/browser","title":"open","content":"pub fn open(url: a) -&gt; ChildProcess\n\nSynonyms:\nmidas/node/browser.open\nmidas/node/browser open","url":"midas/node/browser.html#open"},{"doc":"midas/node/browser","title":"midas/node/browser","content":"","url":"midas/node/browser.html"},{"doc":"midas/node/file_system","title":"create_directory_all","content":"pub fn create_directory_all(dir: String) -&gt; Result(Nil, Snag)\n\nSynonyms:\nmidas/node/file_system.create_directory_all\nmidas/node/file_system create_directory_all","url":"midas/node/file_system.html#create_directory_all"},{"doc":"midas/node/file_system","title":"current_directory","content":"pub fn current_directory() -&gt; Result(String, Snag)\n\nSynonyms:\nmidas/node/file_system.current_directory\nmidas/node/file_system current_directory","url":"midas/node/file_system.html#current_directory"},{"doc":"midas/node/file_system","title":"get_files","content":"pub fn get_files(dir: String) -&gt; Result(List(String), Snag)\n\nSynonyms:\nmidas/node/file_system.get_files\nmidas/node/file_system get_files","url":"midas/node/file_system.html#get_files"},{"doc":"midas/node/file_system","title":"read","content":"pub fn read(filename: String) -&gt; Result(BitArray, Snag)\n\nSynonyms:\nmidas/node/file_system.read\nmidas/node/file_system read","url":"midas/node/file_system.html#read"},{"doc":"midas/node/file_system","title":"read_directory","content":"pub fn read_directory(dir: String) -&gt; Result(List(String), Snag)\n\nSynonyms:\nmidas/node/file_system.read_directory\nmidas/node/file_system read_directory","url":"midas/node/file_system.html#read_directory"},{"doc":"midas/node/file_system","title":"read_directory_content","content":"pub fn read_directory_content(\n  dir: String,\n) -&gt; Result(List(#(String, BitArray)), Snag)\n\nSynonyms:\nmidas/node/file_system.read_directory_content\nmidas/node/file_system read_directory_content","url":"midas/node/file_system.html#read_directory_content"},{"doc":"midas/node/file_system","title":"read_json","content":"pub fn read_json(\n  filename: String,\n  decoder: fn(Dynamic) -&gt; Result(a, List(DecodeError)),\n) -&gt; Result(a, Snag)\n\nSynonyms:\nmidas/node/file_system.read_json\nmidas/node/file_system read_json","url":"midas/node/file_system.html#read_json"},{"doc":"midas/node/file_system","title":"write","content":"pub fn write(\n  filename: String,\n  bytes: BitArray,\n) -&gt; Result(Nil, Snag)\n\nSynonyms:\nmidas/node/file_system.write\nmidas/node/file_system write","url":"midas/node/file_system.html#write"},{"doc":"midas/node/file_system","title":"midas/node/file_system","content":"","url":"midas/node/file_system.html"},{"doc":"midas/node/gleam","title":"build_js","content":"pub fn build_js(root: String) -&gt; Result(String, Snag)\n\nSynonyms:\nmidas/node/gleam.build_js\nmidas/node/gleam build_js","url":"midas/node/gleam.html#build_js"},{"doc":"midas/node/gleam","title":"package_interface","content":"pub fn package_interface(\n  root: String,\n  package: String,\n) -&gt; Result(Package, a)\n\nSynonyms:\nmidas/node/gleam.package_interface\nmidas/node/gleam package_interface","url":"midas/node/gleam.html#package_interface"},{"doc":"midas/node/gleam","title":"midas/node/gleam","content":"","url":"midas/node/gleam.html"},{"doc":"midas/node/rollup","title":"bundle_fn","content":"pub fn bundle_fn(\n  root: String,\n  file: String,\n  func: String,\n) -&gt; Promise(Result(String, Snag))\n\nSynonyms:\nmidas/node/rollup.bundle_fn\nmidas/node/rollup bundle_fn","url":"midas/node/rollup.html#bundle_fn"},{"doc":"midas/node/rollup","title":"iife","content":"pub fn iife(input: String) -&gt; Promise(Result(String, Dynamic))\n\nSynonyms:\nmidas/node/rollup.iife\nmidas/node/rollup iife","url":"midas/node/rollup.html#iife"},{"doc":"midas/node/rollup","title":"midas/node/rollup","content":"","url":"midas/node/rollup.html"},{"doc":"midas/node/zip","title":"zip","content":"pub fn zip(files: List(#(String, BitArray))) -&gt; Promise(BitArray)\n\nSynonyms:\nmidas/node/zip.zip\nmidas/node/zip zip","url":"midas/node/zip.html#zip"},{"doc":"midas/node/zip","title":"midas/node/zip","content":"","url":"midas/node/zip.html"},{"doc":"midas/node","title":"do_fetch","content":"pub fn do_fetch(\n  request: Request(BitArray),\n) -&gt; Promise(Result(Response(BitArray), FetchError))\n\nSynonyms:\nmidas/node.do_fetch\nmidas/node do_fetch","url":"midas/node.html#do_fetch"},{"doc":"midas/node","title":"run","content":"pub fn run(\n  task: Effect(a),\n  root: String,\n) -&gt; Promise(Result(a, Snag))\n\nSynonyms:\nmidas/node.run\nmidas/node run","url":"midas/node.html#run"},{"doc":"midas/node","title":"midas/node","content":"","url":"midas/node.html"},{"doc":"midas/node/http","title":"read_json","content":"pub fn read_json(\n  response: Response(FetchBody),\n) -&gt; Promise(Result(Response(Dynamic), Snag))\n\nSynonyms:\nmidas/node/http.read_json\nmidas/node/http read_json","url":"midas/node/http.html#read_json"},{"doc":"midas/node/http","title":"read_text","content":"pub fn read_text(\n  response: Response(FetchBody),\n) -&gt; Promise(Result(Response(String), Snag))\n\nSynonyms:\nmidas/node/http.read_text\nmidas/node/http read_text","url":"midas/node/http.html#read_text"},{"doc":"midas/node/http","title":"send","content":"pub fn send(\n  request: Request(String),\n) -&gt; Promise(Result(Response(FetchBody), Snag))\n\nSynonyms:\nmidas/node/http.send\nmidas/node/http send","url":"midas/node/http.html#send"},{"doc":"midas/node/http","title":"midas/node/http","content":"","url":"midas/node/http.html"}]);